Skip to main content
`Ctrl`+`K`

# VecStrideSumAll

Computes the sums of subvectors of a vector defined by a stride.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStrideSumAll(Vec v, PetscScalar sums[])

Collective

## Input Parameter

- v - the vector

## Output Parameter

- sums - the sums

## Notes

One must call `VecSetBlockSize()` before this routine to set the stride information, or use a vector created from a multicomponent `DMDA`.

If x is the array representing the vector x then this computes the sum of the array (x[start],x[start+stride],x[start+2*stride], ….) for each start < stride

## See Also

`Vec`, `VecSum()`, `VecStrideGather()`, `VecStrideScatter()`, `VecStrideMin()`, `VecStrideMax()`

## Level

advanced

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages